Page 1 of 12 1234511 ... LastLast
Results 1 to 15 of 168

Click here to go to the first staff post in this thread.
Thread: Elite Dangerous - Oculus Rift update

  1. Click here to go to the next staff post in this thread. #1

    Elite Dangerous - Oculus Rift update

    Hi Everyone,

    We know that you’ve been eagerly awaiting news about Elite Dangerous on the Oculus Rift, which is why we’re pleased to be able to confirm that Elite Dangerous' official support for Oculus Rift's launch SDK will be available with the launch of the consumer version of the Oculus Rift.

    Oculus made a post about this on their blog, which you can read here: https://www.oculus.com/en-us/blog/el...r-rift-launch/

    Before the Oculus launch we will be releasing an updated Elite Dangerous build which will contains support for the latest Oculus SDK, available at no additional charge. All of the existing and future customers that have an Oculus Rift consumer headset will be able to use it.

    For our existing and future players who wish to migrate over to the Oculus Store, they will be able to get a free code from the Frontier Store (as they do with Steam keys currently) .

    In addition, the Oculus Store will be selling a Deluxe Edition bundle which will include Elite Dangerous, Elite Dangerous Horizons Season Pass, a starter pack of paint jobs and a bobble head. As with Steam, Oculus Store customers will also have to create a Frontier Store account (for no extra charge) as part of the purchase process.

    Frontier and Elite Dangerous are at the forefront of VR, and we’re delighted to be able to confirm our support for Oculus Rift when they launch their consumer headset.

    As always, I will be on hand answering questions for a while so let me know if you have any questions at all.

    Thanks,

    Zac
    Head of Community Management

  2. #2

  3. #3
    Yes!!! Thank you Zac and FD. Feeling a lot better about my pre-order now

  4. #4
    Great news!
    I've still not tried ED in VR as I've been waiting for ED to upgrade to the latest SDKs.
    Was starting to worry this might never happen, so really please by this announcement!

  5. #5

  6. #6
    Will this be released on the 28th, along with the Rift, or is there something that can be released sooner?


    CMDR grnbrg.

  7. #7
    so how will this effect us DK2 users who can't afford a CV1 for a while
    will we be able to use the new SDK and how will we be effected by the
    new updated game build

  8. #8
    Originally Posted by Viajero View Post (Source)
    @Zac, DK2 still supported too?


    I want to know this as well please.
    Hell Razors' Mentoring Agency.
    https://forums.frontier.co.uk/showthread.php?t=146938
    New Commanders, we are prepared to mentor you.
    https://forums.frontier.co.uk/showthread.php?t=147109
    Thought on buffing/nerfing.
    https://forums.frontier.co.uk/showthread.php?t=197633

    Ships; Anaconda The Helping Hand, Asp Explorer The Curious Cricket, Sidewinders Heavyweight Fleas, Viper IV The Knight Viper, Federal Gunship The Drunken Knurd, Eagle The Peregrine Falcon, and Cobra III
    Playing in the PC/Mac Galaxy

  9. #9
    Well done guys. The news embargo has been a bit grrr for the forums but understandable. Well done on getting it ready for day one!

    Pecisk - "I will sound as broken record, but this won't change." David Braben - "So some news - we will be reversing this change shortly"

  10. #10
    Originally Posted by Zac Antonaci View Post (Source)
    Hi Everyone,

    Before the Oculus launch we will be releasing an updated Elite Dangerous build which will contains support for the latest Oculus SDK, available at no additional charge. All of the existing and future customers that have an Oculus Rift consumer headset will be able to use it.

    Zac

    How about DK2 users that do not have a consumer headset? How about those with DK2 but no chances of getting the CV until late summer?

    Are we stuck with the current work around?
    All full ahead, Back.

  11. #11

  12. Click here to go to the next staff post in this thread. #12
    Originally Posted by Viajero View Post (Source)
    @Zac, DK2 still supported too?
    When the update is launched we will be supporting the most up to date SDK. I would personally suggest checking with Oculus on compatibility for other models etc.
    Head of Community Management

  13. #13
    Great news!
    __________________
    Federation
    Freedom through Unity.
    Unity through superior firepower.
    __________________

  14. #14
    Originally Posted by Zac Antonaci View Post (Source)
    When the update is launched we will be supporting the most up to date SDK. I would personally suggest checking with Oculus on compatibility for other models etc.

    Sorry, the press release on the Oculus site makes it believe that the Oculus updated runtime would be available from their storefront. Hence the question as DK2 users have no access there only (that I know of)

    Good http://arstechnica.com/gaming/2016/0...-rift-support/ confirmed that Storefront access not needed.

    Happy smile again.
    All full ahead, Back.

  15. #15
    Lates i know from Oculus about DK2 and SDK 1.0:
    https://twitter.com/tom_forsyth/stat...237106176?s=09

Page 1 of 12 1234511 ... LastLast